public class Phrase
{
    private String currentPhrase;
    
    /** Constructs a new Phrase object. */ 

    public Phrase(String p)
    { currentPhrase = p; }

    /** Returns the index of the nth occurrence of str in the current phrase;
     * returns -1 if the nth occurrence does not exist.
     * Precondition: str.length() > 0 and n > 0
     * Postcondition: the current phrase is not modified.
     */

    public int findNthOccurrence(String str, int n) 
    { 
        int count = 0;
        for(int i= 0; i < currentPhrase.length(); i++)
        {
            if (i+str.length() <= currentPhrase.length())
            {
                if (currentPhrase.substring(i, i+str.length()).equals(str))
                {
                    count++;
                    if (count == n)
                    {
                        return i;
                    }
                }
            }
        }
        return -1;
    }

    /** Modifies the current phrase by replacing the nth occurrence of str with repl.
     * If the nth occurrence does not exist, the current phrase is unchanged.
     * Precondition: str.length() > 0 and n > 0 
     */

    public void replaceNthOccurrence(String str, int n, String repl)
    { /* to be implemented in part (a) */ 
        int index = findNthOccurrence(str, n);
        if(index >-1)
        {
            currentPhrase = currentPhrase.substring(0,index) + repl + currentPhrase.substring(index+repl.length());
        }
    }

    /** Returns the index of the last occurrence of str in the current phrase;
     * returns -1 if str is not found.
     * Precondition: str.length() > 0
     * Postcondition: the current phrase is not modified.
     */
    public int findLastOccurrence(String str)
    { /* to be implemented in part (b) */ 
        int n =0;
        while(findNthOccurrence(str, n+1) > -1)
        {
            n++;
        }
        return n;
        if(n==0)
        {
            return -1;
    }

    /** Returns a string containing the current phrase. */ 

    public String toString()

    { return currentPhrase; }
   
}